package CHAPTER05;

//Shape 클래스 정의
class Shape2 {
	String shapeName; // 도형 이름을 저장할 멤버 변수

	// 도형 이름을 설정하는 메소드
	void setShapeName(String shapeName) {
		this.shapeName = shapeName; // this 키워드를 사용하여 멤버 변수에 매개변수 값 할당
	}

	// 도형 이름을 출력하는 메소드
	void printShapeName() {
		System.out.println("도형 이름: " + shapeName); // 설정된 도형 이름 출력
	}
}

//실행 클래스
public class UsedThis {
	public static void main(String[] args) {
		Shape2 s = new Shape2(); // Shape 객체 생성

		s.setShapeName("Circle"); // 도형 이름을 "Circle"로 설정
		s.printShapeName(); // 도형 이름 출력 (Circle)
	}
}
